<ion-content>
  <div class="container header">
    <div class="title">
      <div class="container-flex">
        <img src="assets/icon/cart.svg" class="item icon">
        <h1 class="item flex-grow-item">Mes commandes</h1>
      </div>
    </div>
    <hr>
    <div class="searchbar">
      <ion-searchbar placeholder="Que cherches-tu ?"></ion-searchbar>
    </div>


    <div class="flex inpage-tabs">
      <div class="container-flex">
        <div class="item" (click)="changeBg(variant)" [ngStyle]="{'background-color': bg, 'border-bottom': borderBottom}">
            <h2>Ouvertes</h2>
        </div>
        <div class="item" (click)="changeBg2(variant)" [ngStyle]="{'border-bottom': borderBottom2, 'background-color': bg2}">
            <h2>Fermées</h2>
        </div>
      </div>
    </div>
  </div>
  <div class="container bodyContent mg-bottom-sm" *ngIf="data">

    <a *ngFor="let order of orders" (click)="goToDetail(order[0].orderId)">
    <div class="order-card ">
      <div class="info-card flex scroll-item sm-space">
        <div class="container-flex">
          <div class="item"><div class="product-name"><h2>N° {{order[0].orderId}}</h2></div></div>
          <div class="item"><div class="color-chip enattente"></div></div>
        </div>
        <div class="container-flex">
          <div class="item"><p class="small-text">{{order[0].createdAt | date: 'dd/MM/yyyy'}}</p></div>
          <div class="item"><p class="small-text"><strong>En attente</strong></p></div>
        </div>
        <hr>
        <div class="item">
          <p class="small-text link adresse">{{order[0].buyer.firstName}} {{order[0].buyer.lastName}}, {{order[0].buyer.deliveryAddress}}, {{order[0].buyer.deliveryPostalCode}}, {{order[0].buyer.deliveryCity}},  {{order[0].buyer.country}}</p>
        </div>
        <hr>
        <div class="item">
          <p class="small-text">0 / 3 produits terminés</p>
        </div>
        <hr>
        <div class="container-flex">
          <div class="item"><p class="small-text">Total: </p></div>
          <div class="item"><p class="small-text"><strong>{{order[0].order.total}} CHF</strong></p></div>
        </div>
      </div>
    </div>
    </a>
  </div>


    <!-- Skeleton screen -->
<div *ngIf="!data" class="skeleton container flex lg-space ">
  <ion-list>
    <ion-label>
      <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
    </ion-label>

      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>

  </ion-list>
</div>

  <div class="footer">
    <ion-tabs>
      <ion-tab-bar slot="bottom" position="sticky">
        <a href="/homepage-agriculteur-full" class="menu-link">
          <ion-tab-button>
            <ion-icon name="home" class="tab-inactive"></ion-icon>
            <ion-label>Home</ion-label>
          </ion-tab-button>
        </a>
        <a href="/myproducts" class="menu-link">
          <ion-tab-button>
            <ion-icon name="nutrition" class="tab-inactive"></ion-icon>
            <ion-label>Marché</ion-label>
          </ion-tab-button>
        </a>
        <a href="/myorders"  class="menu-link">
          <ion-tab-button>
            <ion-icon name="cart" class="icon-active"></ion-icon>
            <ion-label class="label-active">Commandes</ion-label>
            <ion-badge color="danger">1</ion-badge>
          </ion-tab-button>
        </a>
        <a href="/profil-agriculteur" class="menu-link">
          <ion-tab-button>
            <ion-icon name="person" class="tab-inactive"></ion-icon>
            <ion-label>Profil</ion-label>
          </ion-tab-button>
        </a>
      </ion-tab-bar>
    </ion-tabs>
  </div>

</ion-content>
